Main Page Widgets Namespaces Book

# Atk::Attribute Class Reference

List of all members.

## Public Member Functions
| Attribute (const Attribute& other)
| Attribute (const AtkAttribute* gobject)
| Attribute (const Glib::ustring& name, const Glib::ustring& value)
| Attribute ()
Glib::ustring | get_name () const
Glib::ustring | get_value () const
const AtkAttribute* | gobj () const
| Provides access to the underlying C GObject.
AtkAttribute* | gobj ()
| Provides access to the underlying C GObject.
Attribute& | operator= (const Attribute& other)
void | swap (Attribute& other)
| ~Attribute ()
## Protected Attributes
AtkAttribute | gobject_
## Related Functions
(Note that these are not member functions.)
void | swap (Attribute& lhs, Attribute& rhs)

## Constructor & Destructor Documentation

Atk::Attribute::Attribute | ( |  | ) |

Atk::Attribute::Attribute | ( | const Glib::ustring & | name,
|  | const Glib::ustring & | value |
| ) |  |  |

Atk::Attribute::Attribute | ( | const AtkAttribute * | gobject | ) | `[explicit]`

Atk::Attribute::~Attribute | ( |  | ) |

Atk::Attribute::Attribute | ( | const Attribute& | other | ) |

## Member Function Documentation

Glib::ustring Atk::Attribute::get_name | ( |  | ) | const

Glib::ustring Atk::Attribute::get_value | ( |  | ) | const

const AtkAttribute* Atk::Attribute::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

References gobject_.

AtkAttribute* Atk::Attribute::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

References gobject_.

Referenced by Atk::AttributeTraits::to_c_type().

Attribute& Atk::Attribute::operator= | ( | const Attribute& | other | ) |

void Atk::Attribute::swap | ( | Attribute& | other | ) |

Referenced by swap().

## Friends And Related Function Documentation

void swap | ( | Attribute& | lhs,
|  | Attribute& | rhs |
| ) |  |  | `[related]`

References swap().

## Member Data Documentation

AtkAttribute Atk::Attribute::gobject_`[protected]`

Referenced by gobj().

The documentation for this class was generated from the following file:

- text.h